[Initng-svn] r1988 - initng/initfiles/system

svn at initng.thinktux.net svn at initng.thinktux.net
Tue Nov 8 00:51:21 CET 2005


Author: jimmy
Date: Tue Nov  8 00:51:20 2005
New Revision: 1988

Modified:
   initng/initfiles/system/alsasound.ii
   initng/initfiles/system/aumix.ii
   initng/initfiles/system/bootmisc.ii
   initng/initfiles/system/clock.ii
   initng/initfiles/system/coldplug.ii
   initng/initfiles/system/console-screen.ii
   initng/initfiles/system/consolefont.ii
Log:
Convert work.


Modified: initng/initfiles/system/alsasound.ii
==============================================================================
--- initng/initfiles/system/alsasound.ii	(original)
+++ initng/initfiles/system/alsasound.ii	Tue Nov  8 00:51:20 2005
@@ -62,9 +62,9 @@
 
 # Fall back on the automated aliases if we don't have ALSA configured properly...
 if [ -z "${DRIVERS}" ] && ! ([ -d /proc/asound ] && [ -z "$(@grep@ ' no soundcards ' /proc/asound/cards)" ]); then
-	echo "Could not detect custom ALSA settings.  Loading all detected alsa drivers."
+	@echo@ "Could not detect custom ALSA settings.  Loading all detected alsa drivers."
 	DRIVERS="$(@modprobe@ -c | @grep@ pci: |  @awk@ '{ print $3 }' | @grep@ snd.* | sort | uniq)"
-	[ -z "${DRIVERS}" ] && echo "Unable to find any ALSA drivers. Have you compiled alsa-drivers correctly?"
+	[ -z "${DRIVERS}" ] && @echo@ "Unable to find any ALSA drivers. Have you compiled alsa-drivers correctly?"
 fi
 
 if @modprobe@ -c | @grep@ -q "snd.*oss$" ; then
@@ -88,7 +88,7 @@
 for DRIVER in ${DRIVERS}
 do
 	if [ ! "${DRIVER}" = off ]; then
-	    echo "  Loading: ${DRIVER} ..."
+	    @echo@ "  Loading: ${DRIVER} ..."
 	    @/sbin/modprobe@ ${DRIVER}
 	fi
 done
@@ -97,7 +97,7 @@
 	SEQUENCERS="$(awk -F, '$2~/^empty$/ {print $1}' /proc/asound/seq/drivers)"
 	for SEQUENCER in ${SEQUENCERS}
 	do
-	    echo "  Loading: ${SEQUENCER} ..."
+	    @echo@ "  Loading: ${SEQUENCER} ..."
 	    @/sbin/modprobe@ ${SEQUENCER}
 	done
 fi
@@ -107,13 +107,13 @@
 	TMP=${DRIVER##snd-}
 	TMP=${TMP##snd_}
 	if [ -x "${alsascrdir}/${TMP}" ]; then
-		echo "  Running: ${alsascrdir}/${TMP} ..."
+		@echo@ "  Running: ${alsascrdir}/${TMP} ..."
 		${alsascrdir}/${TMP}
 	fi
 done
 		
 if [ ! -d /proc/asound ] || [ ! -z "$(grep ' no soundcards ' /proc/asound/cards)" ]; then
-	echo "ERROR: Failed to load necessary drivers"
+	@echo@ "ERROR: Failed to load necessary drivers"
 fi
 }
 
@@ -153,9 +153,9 @@
 
 opts="${opts} save"
 	
-echo "Restoring Mixer Levels ..."
+ at echo@ "Restoring Mixer Levels ..."
 if [ ! -r $asoundcfg ]; then
-	echo "No mixer config in $asoundcfg, you have to unmute your card!"
+	@echo@ "No mixer config in $asoundcfg, you have to unmute your card!"
 	#this is not fatal!
 elif [ -x $alsactl ]; then
 	CARDS="$(cat /proc/asound/cards | awk '/: / { print $1 }')"
@@ -168,7 +168,7 @@
 		$alsactl -f $asoundcfg restore ${CARDNUM}
 	done
 else
-	echo "ERROR: Cannot find alsactl, did you forget to install media-sound/alsa-utils?"
+	@echo@ "ERROR: Cannot find alsactl, did you forget to install media-sound/alsa-utils?"
 	exit 1
 fi
 exit 0
@@ -182,25 +182,25 @@
 alsascrdir=/etc/alsa.d
 
 if [ ! -d /proc/asound ] ; then
-	echo "ALSA is not loaded"
+	@echo@ "ALSA is not loaded"
 	exit 1
 fi
 
-echo "Storing ALSA Mixer Levels"
+ at echo@ "Storing ALSA Mixer Levels"
 
 if [ -x $alsactl ]; then
 	$alsactl -f $asoundcfg store
 	exit $?
 else
-	echo "ERROR: Cannot find alsactl."
+	@echo@ "ERROR: Cannot find alsactl."
 	exit 1
 fi
 
-echo "Kill processes using alsa"
+ at echo@ "Kill processes using alsa"
 #
 # Kill processes holding open sound devices
 #
-# DEVS=`find /dev/ -follow -type c -maxdepth 1 -print 2>/dev/null | xargs ls -dils | grep "1*1[46]," | cut -d: -f2 | cut -d" " -f2; echo /proc/asound/dev/*`    # */
+# DEVS=`find /dev/ -follow -type c -maxdepth 1 -print 2>/dev/null | xargs ls -dils | grep "1*1[46]," | cut -d: -f2 | cut -d" " -f2; @echo@ /proc/asound/dev/*`    # */
 ossdevs="/dev/admmidi? /dev/adsp? /dev/amidi? /dev/audio* /dev/dmfm* \
 		/dev/dmmidi? /dev/dsp* /dev/dspW* /dev/midi0? /dev/mixer? /dev/music \
 		/dev/patmgr? /dev/sequencer* /dev/sndstat"

Modified: initng/initfiles/system/aumix.ii
==============================================================================
--- initng/initfiles/system/aumix.ii	(original)
+++ initng/initfiles/system/aumix.ii	Tue Nov  8 00:51:20 2005
@@ -6,21 +6,21 @@
 start {
 if [ -z "`@egrep@ 'sound|OSS' /proc/devices`" ] && [ ! -d /proc/asound ]
 then
-	echo "Sound support has not been compiled into the kernel,"
-	echo "or is disabled.  Please check that the correct modules"
-	echo "is loaded."
+	@echo@ "Sound support has not been compiled into the kernel,"
+	@echo@ "or is disabled.  Please check that the correct modules"
+	@echo@ "is loaded."
 	exit 1
 fi
 if [ ! -e /dev/mixer ] ; then
-	echo "/dev/mixer does not exist, please create it, or load the"
-	echo "correct modules to enable your card's mixer"
+	@echo@ "/dev/mixer does not exist, please create it, or load the"
+	@echo@ "correct modules to enable your card's mixer"
 	exit 1
 fi
 if [ -f /etc/aumixrc ] ; then
-	echo "Loading Mixer settings"
+	@echo@ "Loading Mixer settings"
 	@/usr/bin/aumix@ -f /etc/aumixrc -L >/dev/null 2>&1
 else
-	echo "Setting Mixer settings"
+	@echo@ "Setting Mixer settings"
 	@/usr/bin/aumix@ -v75 -c75 -w75 >/dev/null 2>&1
 fi
 exit $?
@@ -29,18 +29,18 @@
 stop {
 if [ -z "`@egrep@ 'sound|OSS' /proc/devices`" ] && [ ! -d /proc/asound ]
 then
-	echo "Sound support has not been compiled into the kernel,"
-	echo "or is disabled.  Please check that the correct modules"
-	echo "is loaded."
+	@echo@ "Sound support has not been compiled into the kernel,"
+	@echo@ "or is disabled.  Please check that the correct modules"
+	@echo@ "is loaded."
 	exit 1
 fi
 if [ ! -e /dev/mixer ] ; then
-	echo "/dev/mixer does not exist, please create it, or load the"
-	echo "correct modules to enable your card's mixer"
+	@echo@ "/dev/mixer does not exist, please create it, or load the"
+	@echo@ "correct modules to enable your card's mixer"
 	exit 1
 fi
 
-echo "Saving Mixer settings"
+ at echo@ "Saving Mixer settings"
 @/usr/bin/aumix@ -f /etc/aumixrc -S >/dev/null 2>&1
 exit $?
 }

Modified: initng/initfiles/system/bootmisc.ii
==============================================================================
--- initng/initfiles/system/bootmisc.ii	(original)
+++ initng/initfiles/system/bootmisc.ii	Tue Nov  8 00:51:20 2005
@@ -11,7 +11,7 @@
 then
     source /etc/conf.d/bootmisc
     if [ ${DELAYLOGIN} == "yes" ] ; then
-	echo "System bootup in progress - please wait" > /etc/nologin && cp /etc/nologin /etc/nologin.boot 2>&1 >/dev/null &
+	@echo@ "System bootup in progress - please wait" > /etc/nologin && cp /etc/nologin /etc/nologin.boot 2>&1 >/dev/null &
     fi
 fi
 #enddist
@@ -24,14 +24,14 @@
 if [ -x @/sbin/env-update.sh@ ] ; then
     if [ /etc/env.d -nt /etc/profile.env ]
     then
-	echo "Updating environment ..."
+	@echo@ "Updating environment ..."
 	@/sbin/env-update.sh@ -u > /dev/null &
     fi
 fi
 #endd
 
 # Setup login records
-echo -n "" > /var/run/utmp
+ at echo@ -n "" > /var/run/utmp
 @touch@ /var/log/wtmp &>/dev/null
 @chgrp@ utmp /var/run/utmp /var/log/wtmp &>/dev/null
 @chmod@ 0664 /var/run/utmp /var/log/wtmp &>/dev/null

Modified: initng/initfiles/system/clock.ii
==============================================================================
--- initng/initfiles/system/clock.ii	(original)
+++ initng/initfiles/system/clock.ii	Tue Nov  8 00:51:20 2005
@@ -14,12 +14,12 @@
 	. /etc/sysconfig/clock
 #endd
    else
-	echo "clock is unset!"
+	@echo@ "clock is unset!"
 	exit 0
     fi
     
     setupopts() {
-	if grep -q ' cobd$' /proc/devices ; then
+	if @grep@ -q ' cobd$' /proc/devices ; then
 		TBLURB="coLinux"
 		return 0
 #ifd debian
@@ -49,8 +49,8 @@
 	myopts="${myopts} ${CLOCK_OPTS}"
 
 	# Make sure user isn't using rc.conf anymore.
-	if grep -qs ^CLOCK= /etc/rc.conf ; then
-		echo "CLOCK should not be set in /etc/rc.conf but in /etc/conf.d/clock"
+	if @grep@ -qs ^CLOCK= /etc/rc.conf ; then
+		@echo@ "CLOCK should not be set in /etc/rc.conf but in /etc/conf.d/clock"
 	fi
     }
 
@@ -64,22 +64,22 @@
 	if ! touch /etc/adjtime 2>/dev/null ; then
 		readonly="yes"
 	elif [ ! -s /etc/adjtime ] ; then
-		echo "0.0 0 0.0" > /etc/adjtime
+		@echo@ "0.0 0 0.0" > /etc/adjtime
 	fi
 
 	setupopts
 
-	echo "Setting system clock to hardware clock [${TBLURB}] ..."
+	@echo@ "Setting system clock to hardware clock [${TBLURB}] ..."
 	if [ "${TBLURB}" = "UML" ] || [ "${TBLURB}" = "coLinux" ] ; then
 		ret=0
 
-	elif [ -x /sbin/hwclock ] ; then
+	elif [ -x @/sbin/hwclock@ ] ; then
 		# Since hwclock always exit's with a 0, need to check its output.
-		errstr=$(/sbin/hwclock ${myadj} ${myopts} 2>&1 >/dev/null)
-		errstr="${errstr}$(/sbin/hwclock --hctosys ${myopts} 2>&1 >/dev/null)"
+		errstr=$(@/sbin/hwclock@ ${myadj} ${myopts} 2>&1 >/dev/null)
+		errstr="${errstr}$(@/sbin/hwclock@ --hctosys ${myopts} 2>&1 >/dev/null)"
 
 		if [ -n "${errstr}" ] ; then
-			echo "${errstr}"
+			@echo@ "${errstr}"
 			ret=1
 		else
 			ret=0
@@ -87,7 +87,7 @@
 		errstr="Failed to set system clock to hardware clock"
 	else
 		ret=1
-		errstr="/sbin/hwclock not found"
+		errstr="@/sbin/hwclock@ not found"
 	fi
 }
 
@@ -104,12 +104,12 @@
 	. /etc/sysconfig/clock
 #endd
     else
-	echo "clock is unset!"
+	@echo@ "clock is unset!"
 	exit 0
     fi
 
     setupopts() {
-	if grep -q ' cobd$' /proc/devices ; then
+	if @grep@ -q ' cobd$' /proc/devices ; then
 		TBLURB="coLinux"
 		return 0
 #ifd debian
@@ -139,8 +139,8 @@
 	myopts="${myopts} ${CLOCK_OPTS}"
 
 	# Make sure user isn't using rc.conf anymore.
-	if grep -qs ^CLOCK= /etc/rc.conf ; then
-		echo "CLOCK should not be set in /etc/rc.conf but in /etc/conf.d/clock"
+	if @grep@ -qs ^CLOCK= /etc/rc.conf ; then
+		@echo@ "CLOCK should not be set in /etc/rc.conf but in /etc/conf.d/clock"
 	fi
     }
 	# Don't tweak the hardware clock on LiveCD halt.
@@ -152,12 +152,12 @@
 
 	setupopts
 
-	echo "Syncing system clock to hardware clock [${TBLURB}] ..."
+	@echo@ "Syncing system clock to hardware clock [${TBLURB}] ..."
 	if [ "${CLOCK}" = "UML" ] ; then
 		ret=0
 	
-	elif [ -x /sbin/hwclock ] ; then
-		errstr=$(/sbin/hwclock --systohc ${myopts} 2>&1 >/dev/null)
+	elif [ -x @/sbin/hwclock@ ] ; then
+		errstr=$(@/sbin/hwclock@ --systohc ${myopts} 2>&1 >/dev/null)
 
 		if [ -n "${errstr}" ] ; then
 			ret=1
@@ -167,7 +167,7 @@
 		errstr="Failed to sync clocks"
 	else
 		ret=1
-		errstr="/sbin/hwclock not found"
+		errstr="@/sbin/hwclock@ not found"
 	fi
 	exit $ret
 }

Modified: initng/initfiles/system/coldplug.ii
==============================================================================
--- initng/initfiles/system/coldplug.ii	(original)
+++ initng/initfiles/system/coldplug.ii	Tue Nov  8 00:51:20 2005
@@ -45,8 +45,8 @@
 	start {
 		#needed to make /dev/input/mice for X
 		if [ -e /sys/class/input/mice/dev ]; then
-		    mkdir -p /dev/input
-		    mknod /dev/input/mice c 13 63 &>/dev/null
+		    @mkdir@ -p /dev/input
+		    @mknod@ /dev/input/mice c 13 63 &>/dev/null
 		fi
 	
 		exit 0

Modified: initng/initfiles/system/console-screen.ii
==============================================================================
--- initng/initfiles/system/console-screen.ii	(original)
+++ initng/initfiles/system/console-screen.ii	Tue Nov  8 00:51:20 2005
@@ -2,6 +2,8 @@
 	need = system/initial system/keymaps system/mountfs
 start {
 
+SETFONT_OPT=""
+
 if [ -r /etc/console-tools/config ] ; then
     . /etc/console-tools/config
 fi
@@ -12,21 +14,15 @@
     done
 fi
 
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-SETFONT="/usr/bin/consolechars"
-SETFONT_OPT=""
-CHARSET="/usr/bin/charset"
-VCSTIME="/usr/sbin/vcstime"
-
 # Different device name for 2.6 kernels and devfs
-if [ `uname -r | cut -f 2 -d .` = 6 ] && [ -e /dev/.devfsd ]; then
+if [ `@uname@ -r | @cut@ -f 2 -d .` = 6 ] && [ -e /dev/.devfsd ]; then
     VCSTIME_OPT="-2 /dev/vcsa0"
 else
     VCSTIME_OPT=""
 fi
 
 # be sure the main program is installed
-[ -x "${SETFONT}" ] || exit 0
+[ -x "@/usr/bin/consolechars@" ] || exit 0
 
 
 # set DEVICE_PREFIX depending on devfs/udev
@@ -41,17 +37,15 @@
 	if [ -f /proc/fb ]; then
            # They have a framebuffer device.
            # That means we have work to do...
-	    echo -n "]R"
+	    @echo@ -n "]R"
 	fi
 }
 
-setup ()
-{
     VT="no"
     # If we can't access the console, quit
-    CONSOLE_TYPE=`fgconsole 2>/dev/null` || exit 0
+    CONSOLE_TYPE=`@fgconsole@ 2>/dev/null` || exit 0
     if [ ! $CONSOLE_TYPE = "serial" ]  ; then
-	readlink /proc/self/fd/0 | grep -q -e /dev/vc -e '/dev/tty[^p]' -e /dev/console
+	@readlink@ /proc/self/fd/0 | @grep@ -q -e /dev/vc -e '/dev/tty[^p]' -e /dev/console
 	if [ $? -eq 0 ] ; then
 	    VT="yes"
 	    reset_vga_palette
@@ -61,76 +55,76 @@
     [ $VT = "no" ] && exit 0
 
     # start vcstime
-    if [ "${DO_VCSTIME}" = "yes" -a -x ${VCSTIME} ] ; then
-	echo -n Starting clock on text console: `basename ${VCSTIME}`
-	${VCSTIME} ${VCSTIME_OPT} &
-	echo .
+    if [ "${DO_VCSTIME}" = "yes" -a -x @/usr/sbin/vcstime@ ] ; then
+	@echo@ -n Starting clock on text console: `basename @/usr/sbin/vcstime@`
+	@/usr/sbin/vcstime@ ${VCSTIME_OPT} &
+	@echo@ .
     fi
 
 
     # Global default font+sfm
     if [ "${SCREEN_FONT}" ]
 	then
-	echo -n "Setting up general console font... "
+	@echo@ -n "Setting up general console font... "
 	SCREEN_FONT="-f ${SCREEN_FONT}"
 
 	# maybe use an external SFM
 	[ "${SCREEN_FONT_MAP}" ] && SCREEN_FONT_MAP="-u ${SCREEN_FONT_MAP}"
 	# Set for the first 6 VCs (as they are allocated in /etc/inittab)
 
-	NUM_CONSOLES=`fgconsole --next-available`
-	NUM_CONSOLES=`expr ${NUM_CONSOLES} - 1`
-	for vc in `seq 0 ${NUM_CONSOLES}` 
+	NUM_CONSOLES=`@fgconsole@ --next-available`
+	NUM_CONSOLES=`@expr@ ${NUM_CONSOLES} - 1`
+	for vc in `@seq@ 0 ${NUM_CONSOLES}` 
 	    do
-	    ${SETFONT} --tty=${DEVICE_PREFIX}$vc ${SETFONT_OPT} ${SCREEN_FONT} ${SCREEN_FONT_MAP} || { echo " failed."; break; }
-	    if [ "$vc" -eq 6 ]; then echo " done."; fi 
+	    @/usr/bin/consolechars@ --tty=${DEVICE_PREFIX}$vc ${SETFONT_OPT} ${SCREEN_FONT} ${SCREEN_FONT_MAP} || { @echo@ " failed."; break; }
+	    if [ "$vc" -eq 6 ]; then @echo@ " done."; fi 
 	done
     fi
 
 
     # Per-VC font+sfm
-    PERVC_FONTS="`set | grep "^SCREEN_FONT_vc[0-9]*="  | tr -d \' `"
+    PERVC_FONTS="`set | @grep@ "^SCREEN_FONT_vc[0-9]*="  | tr -d \' `"
     if [ "${PERVC_FONTS}"  ]
 	then
-	echo -n "Setting up per-VC fonts: "
+	@echo@ -n "Setting up per-VC fonts: "
 	for font in ${PERVC_FONTS}
 	  do
 	    # extract VC and FONTNAME info from variable setting
-	  vc=`echo $font | cut -b15- | cut -d= -f1`
+	  vc=`@echo@ $font | cut -b15- | cut -d= -f1`
 	  eval font=\$SCREEN_FONT_vc$vc
 	  if [ X"$QUIET_PERVC" != X1 ] ; then
-	      echo -n "${DEVICE_PREFIX}${vc}, "
+	      @echo@ -n "${DEVICE_PREFIX}${vc}, "
 	  fi
 	    # eventually find an associated SFM
 	  eval sfm=\${SCREEN_FONT_MAP_vc${vc}}
 	  [ "$sfm" ] && sfm="-u $sfm"
 
-	  ${SETFONT} --tty=${DEVICE_PREFIX}$vc ${SETFONT_OPT} -f $font $sfm
+	  @/usr/bin/consolechars@ --tty=${DEVICE_PREFIX}$vc ${SETFONT_OPT} -f $font $sfm
 	done
-	echo "done."
+	@echo@ "done."
     fi
 
 
     # Global ACM
-    [ "${APP_CHARSET_MAP}" ] && ${CHARSET} G0 ${APP_CHARSET_MAP}
+    [ "${APP_CHARSET_MAP}" ] && @/usr/bin/charset@ G0 ${APP_CHARSET_MAP}
 
 
     # Per-VC ACMs
-    PERVC_ACMS="`set | grep "^APP_CHARSET_MAP_vc[0-9]*="  | tr -d \' `"
+    PERVC_ACMS="`set | @grep@ "^APP_CHARSET_MAP_vc[0-9]*="  | tr -d \' `"
     if [ "${PERVC_ACMS}" ]
 	then
-	echo -n "Setting up per-VC ACM's: "
+	@echo@ -n "Setting up per-VC ACM's: "
 	for acm in ${PERVC_ACMS}
 	  do
 	    # extract VC and FONTNAME info from variable setting
-	  vc=`echo $acm | cut -b19- | cut -d= -f1`
+	  vc=`@echo@ $acm | cut -b19- | cut -d= -f1`
 	  eval acm=\$APP_CHARSET_MAP_vc$vc
 	  if [ X"$QUIET_PERVC" != X1 ] ; then
-	      echo -n "${DEVICE_PREFIX}${vc} ($acm), "
+	      @echo@ -n "${DEVICE_PREFIX}${vc} ($acm), "
 	  fi
-	  eval "${CHARSET} --tty='${DEVICE_PREFIX}$vc' G0 '$acm'"
+	  eval "@/usr/bin/charset@ --tty='${DEVICE_PREFIX}$vc' G0 '$acm'"
 	done
-	echo "done."
+	@echo@ "done."
     fi
 
 
@@ -139,17 +133,17 @@
     if [ -f /etc/environment ]
     then
          for var in LANG LC_ALL LC_CTYPE ; do
-	     value=$(egrep "^[^#]*${var}=" /etc/environment | tail -n1 | cut -d= -f2)
+	     value=$(@egrep@ "^[^#]*${var}=" /etc/environment | @tail@ -n1 | @cut@ -d= -f2)
 	     eval $var=$value
 	 done
     fi
-    CHARMAP=`LANG=$LANG LC_ALL=$LC_ALL LC_CTYPE=$LC_CTYPE locale charmap`
+    CHARMAP=`LANG=$LANG LC_ALL=$LC_ALL LC_CTYPE=$LC_CTYPE @locale@ charmap`
     if   test "$CHARMAP" = "UTF-8" 
     then
-        /usr/bin/unicode_start 2> /dev/null || true
+        @/usr/bin/unicode_start@ 2> /dev/null || true
 
     else
-         /usr/bin/unicode_stop 2> /dev/null|| true
+         @/usr/bin/unicode_stop@ 2> /dev/null|| true
     fi
 
     # screensaver stuff
@@ -176,33 +170,29 @@
         KBDRATE_ARGS="$KBDRATE_ARGS -d $KEYBOARD_DELAY"
     fi
     if [ -n "$KBDRATE_ARGS" ]; then
-	echo -n "Setting keyboard rate and delay: "
-        kbdrate -s $KBDRATE_ARGS
-	echo "done."
+	@echo@ -n "Setting keyboard rate and delay: "
+        @kbdrate@ -s $KBDRATE_ARGS
+	@echo@ "done."
     fi
 
     # Inform gpm if present, of potential changes.
     if [ -f /var/run/gpm.pid ]; then
-	kill -WINCH `cat /var/run/gpm.pid` 2> /dev/null
+	@kill@ -WINCH `@cat@ /var/run/gpm.pid` 2> /dev/null
     fi
 
     # Allow user to remap keys on the console
     if [ -r /etc/console-tools/remap ]
 	then
-	dumpkeys < ${DEVICE_PREFIX}1 |sed -f /etc/console-tools/remap |loadkeys --quiet
+	@dumpkeys@ < ${DEVICE_PREFIX}1 |@sed@ -f /etc/console-tools/remap |@loadkeys@ --quiet
     fi
     # Set LEDS here
     if [ "$LEDS" != "" ]
 	then
 	for i in `seq 1 12`
 	  do
-          setleds -D $LEDS < $DEVICE_PREFIX$i
+    	    @setleds@ -D $LEDS < $DEVICE_PREFIX$i
 	done
     fi
 }
-
-  setup
-
-}
 }
 

Modified: initng/initfiles/system/consolefont.ii
==============================================================================
--- initng/initfiles/system/consolefont.ii	(original)
+++ initng/initfiles/system/consolefont.ii	Tue Nov  8 00:51:20 2005
@@ -31,19 +31,19 @@
 	fi
 	
 	if [ -z "${CONSOLEFONT}" ] ; then
-		echo "Using the default console font"
+		@echo@ "Using the default console font"
 		exit 0
 	fi
 
 	retval=1
 	
-	if [ -x /bin/setfont ] ; then
-	    SETFONT="/bin/setfont"
-	elif [ -x /usr/bin/consolechars ] ; then
-	    SETFONT="/usr/bin/consolechars"
+	if [ -x @/bin/setfont@ ] ; then
+	    SETFONT="@/bin/setfont@"
+	elif [ -x @/usr/bin/consolechars@ ] ; then
+	    SETFONT="@/usr/bin/consolechars@"
 	    CONSOLEFONT="-f ${CONSOLEFONT}"
 	else
-	    echo "Could not find set font utils ..."
+	    @echo@ "Could not find set font utils ..."
 	    exit 1
 	fi
 	# Get additional parameters
@@ -52,7 +52,7 @@
 	fi
 	if [ -n "$SYSFONTACM" ]; then
 	    if [ ! -f /lib/kbd/consoletrans/$SYSFONTACM_to_uni.trans ]; then
-		SYSFONTACM=`echo $SYSFONTACM | sed "s|iso0|8859-|g;s|iso|8859-|g"`
+		SYSFONTACM=`@echo@ $SYSFONTACM | sed "s|iso0|8859-|g;s|iso|8859-|g"`
 	    fi
 	    ARGS="$ARGS -m $SYSFONTACM"
 	fi
@@ -60,9 +60,9 @@
 	# Set the console font
 	
 	# We patched setfont to have --tty support ...
-	if [ -n "$(${SETFONT} --help 2>&1 | grep -e '--tty')" ] || [ -n "$(${SETFONT} --help 2>&1 | grep -e '-C')" ]
+	if [ -n "$(${SETFONT} --help 2>&1 | @grep@ -e '--tty')" ] || [ -n "$(${SETFONT} --help 2>&1 | @grep@ -e '-C')" ]
 	    then
-		if [ -n "$(${SETFONT} --help 2>&1 | grep -e '--tty')" ] ; then
+		if [ -n "$(${SETFONT} --help 2>&1 | @grep@ -e '--tty')" ] ; then
 		    sf_param="--tty="
 		else
 		    sf_param="-C "
@@ -70,7 +70,7 @@
 		
 		[ -d /dev/vc ] && ttydev=/dev/vc/ || ttydev=/dev/tty
 
-		for x in $(seq 1 11) ; do
+		for x in $(@seq@ 1 11) ; do
 		    ${SETFONT} ${CONSOLEFONT} ${param} \
 			${sf_param}/${ttydev}${x} >/dev/null
 		    retval=$?


More information about the Initng-svn mailing list